from setuptools import setup, find_packages
from Cython.Build import cythonize
import codecs
import os

here = os.path.abspath(os.path.dirname(__file__))

LONG_DESCRIPTION = ''

with codecs.open(os.path.join(here, "README.md"), encoding="utf-8") as fh:
    long_description = "\n" + fh.read()

setup(
    name="camSort",
    version="0.2.1",
    packages=["camSort"], 
    ext_modules = cythonize('camSort/camSort.pyx'),
    author="cameronbae / cameron jay",
    author_email="<contact@camjay.io>",
    url="https://github.com/cameronbae/camSort",
    description="make sorted() fast for strings",
    long_description_content_type="text/markdown",
    long_description=long_description,
    keywords=['python', 'sorted', 'sort', 'camSort'],
    classifiers=[
        "Development Status :: 1 - Planning",
        "Intended Audience :: Developers",
        "Programming Language :: Python :: 3",
        "Operating System :: Unix",
        "Operating System :: MacOS :: MacOS X",
        "Operating System :: Microsoft :: Windows",
    ]
)